GET /api/v3/objects/{lcuid}/tags¶
Summary¶
GET /objects/{lcuid}/tags
Description¶
List tags for this object
🔒 Required Permissions¶
At least one of the following permissions is required to access this endpoint:
{object}.view
Tags: objects
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean): The request succeededid(string): The lcuid of the objectclass(string): The class of the objecttags(array): An array of tags-
Array items:
objectType:objectProperties:
name(string)description(string)created_at(string)updated_at(string)tag_slug(string)lcuid(string)parent(object) Type:object
Properties:
name(string)-
options(object) Type:objectProperties:
primary_image_public_url(string)primary_image_background_removed_public_url(string)
-
lcuid(string) slug(string)website(string)description(string)created_at(string)is_parent_account(boolean)
Example Response¶
{
"success": true,
"id": "LCUID-LI-67a693f9-4768-4ebd-932b-56f68f081333",
"class": "App\\InventoryItem",
"tags": [
{
"name": "test1",
"description": "",
"created_at": "2026-01-07T00:15:38.000000Z",
"updated_at": "2026-01-07T00:15:38.000000Z",
"tag_slug": "test1",
"lcuid": "LCUID-LTAG-20e53c0b-e7aa-48eb-806a-c5568c9f2be7",
"parent": {
"name": "Blue River Real Estate",
"options": {
"primary_image_public_url": null,
"primary_image_background_removed_public_url": null
},
"lcuid": "LCUID-LA-5e25abc6-eec2-463c-9ba6-6e38140fb086",
"slug": "UnitTestAccountFw4up",
"website": null,
"description": "Here is a new unit test account description",
"created_at": "2026-01-07T00:15:38.000000Z",
"is_parent_account": false
}
},
{
"name": "test2",
"description": "",
"created_at": "2026-01-07T00:15:38.000000Z",
"updated_at": "2026-01-07T00:15:38.000000Z",
"tag_slug": "test2",
"lcuid": "LCUID-LTAG-a2bf7e24-2e6c-436d-b233-2f0a423671b3",
"parent": {
"name": "Blue River Real Estate",
"options": {
"primary_image_public_url": null,
"primary_image_background_removed_public_url": null
},
"lcuid": "LCUID-LA-5e25abc6-eec2-463c-9ba6-6e38140fb086",
"slug": "UnitTestAccountFw4up",
"website": null,
"description": "Here is a new unit test account description",
"created_at": "2026-01-07T00:15:38.000000Z",
"is_parent_account": false
}
}
]
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/objects/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/tags" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/objects/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/tags"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/objects/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/tags',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/objects/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/tags'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()